/*
	NRob Library
		NRob メニュー・モニタ表示関係のプログラム
*/

#ifndef NROBDISPMODE_h
#define NROBDISPMODE_h

#include "NRob.h"

class NDspMode
{
  public:
		NDspMode(NRob3& nr);
		void	dsp_modeStr(int no);		//メニュー切替　モード表示
															//センサーモニタ表示
/*v036
		void  moni_AD_set(void);			//ADモニタベース表示
		void  moni_AD_loop(void);			//ADモニタ動作中表示
		void  moni_Sonar_set(void);		//超音波センサモニタベース表示
		void  moni_Sonar_loop(void);	//超音波センサモニタ動作中表示
		void  moni_Compas_set(void);	//コンパスモニタベース表示
		void  moni_Servo_set(void);		//サーボ動作テストベース表示
		void  moni_Servo_loop(void);	//サーボ動作テスト動作中表示
		void  moni_Serial_set(void);	//シリアル通信ベース表示
*/
		void  moni_Balance_set(void);			//バランス調整表示//v036追加
		void  moni_Balance_loop(int*pa, int*pb);

	private:
		NRob3& rob;

		byte	flgSet=0;//v036追加

};

#endif
